{% block sw_theme_manager_detail_smart_bar_actions_save_context_menu_actions %}
    {% parent() %}

    {% block blur_theme_manager_detail_smartbar_context_menu_action_export %}
        <sw-context-menu-item
            :disabled="!acl.can('theme.editor')"
            @click="blurExportSettings"
        >
            {{ $tc('blur-theme-setting-transmisson.actions.export') }}
        </sw-context-menu-item>    
    {% endblock %}

    {% block blur_theme_manager_detail_smartbar_context_menu_action_import %}
        <sw-context-menu-item
            :disabled="!acl.can('theme.editor')"
            @click="blurImportSettings"
        >
            {{ $tc('blur-theme-setting-transmisson.actions.import') }}
        </sw-context-menu-item>    
    {% endblock %}
{% endblock %}

{% block sw_theme_manager_detail_error_modal %}
    {% parent() %}

    {% block blur_theme_manager_detail_export_conflict_modal %}
        <sw-modal 
            v-if="showExportConflictModal"
            @modal-close="blurCloseExportConflictModal"
            :title="$tc('blur-theme-setting-transmisson.modal.titleExportUnsavedChanges')"
            variant="large">
            <p style="margin-bottom:1.5rem;line-height:1.5;">
                {{ $tc('blur-theme-setting-transmisson.alerts.unsavedChangesDialog') }}
            </p>
            <div style="display:flex;flex-wrap:wrap;gap:1rem;">
                <sw-button
                    @click.prevent="blurModalExportSettings(false)">
                    {{ $tc('blur-theme-setting-transmisson.actions.downloadUnsavedConfig') }}
                </sw-button>            
                <sw-button
                    @click.prevent="blurModalExportSettings(true)">
                    {{ $tc('blur-theme-setting-transmisson.actions.downloadSavedConfig') }}
                </sw-button>            
            </div>
        </sw-modal>
    {% endblock %}

    {% block blur_theme_manager_detail_import_modal %}
        <sw-modal 
            v-if="showImportModal"
            @modal-close="blurCloseImportModal"
            :title="$tc('blur-theme-setting-transmisson.modal.titleImport')"
            variant="large">

            <sw-file-input
                @change="uploadJsonFile"
                :label="$tc('blur-theme-setting-transmisson.actions.uploadJsonFile')"
                :allowedMimeTypes="['application/json']"
                :maxFileSize="8*1024*1024">
            </sw-file-input>

            <template #modal-footer>
                <sw-button
                    :disabled="importJsonObject === null"
                    @click.prevent="blurImportConfig">
                    {{ $tc('blur-theme-setting-transmisson.actions.import') }}
                </sw-button>
                <sw-button 
                    variant="primary"
                    :disabled="importJsonObject === null"
                    @click.prevent="blurImportAndSaveConfig">
                    {{ $tc('blur-theme-setting-transmisson.actions.importAndSave') }}
                </sw-button>
            </template>
        </sw-modal>
    {% endblock %}
{% endblock %}